
/* common */

* { margin:0; padding:0; }

a { text-decoration: none; }

li { list-style-type: none; }

html {
	font: 90%/1.3 arial,sans-serif;
    background: no-repeat center center,-moz-linear-gradient(top,    rgba(255,255,255,1), rgba(0,158,224,0.3));
    background: no-repeat center center,-webkit-linear-gradient(top, rgba(255,255,255,1), rgba(0,158,224,0.3));
    background: no-repeat center center,-o-linear-gradient(top,      rgba(255,255,255,1), rgba(0,158,224,0.3));
    background: no-repeat center center,-ms-linear-gradient(top,     rgba(255,255,255,1), rgba(0,158,224,0.3));
    background: no-repeat center center,linear-gradient(top,         rgba(255,255,255,1), rgba(0,158,224,0.3));
}

body {
	font: normal 16px verdana,arial,'Bitstream Vera Sans',helvetica,sans-serif;
	color: indigo;
}

/* specific */

.mac {
	color: #0033CC;
	cursor: help;
}

#nds_files label {
	width: 18em;
}

#nds_macs {
	margin-bottom: 2em;
}

#wifiscan table {
	text-align: center;
}

#wifiscan_table {
	border: none;
	white-space: nowrap;
}

#wifiscan_table td {
	padding: 2px 10px;
}

#wifiscan td:nth-of-type(1) {
	text-align: left;
}

#help {
	padding: 5px;
	height: 0px;
	position: absolute;
	min-height: 50px;
	background-color: #f2f2f2;
	display:none;
	border: 2px dotted grey;
}

#msg {
	margin-left: 0.5em;
}

/* forms */

legend {
	color: #0b77b7;
	font-size: 1.2em;
}

label {
	float: left;
	width: 12em;
	text-align: right;
	margin-right: 1em;
	white-space: nowrap;
}

fieldset {
	border: 1px solid #ddd;
	padding: 0.5em;
	margin: 0.5em;
	width: 90%;
	max-width: 38em;
}

fieldset fieldset {
	width: auto;
}

fieldset > * {
	margin: 0.1em 0;
	clear: both;
}

fieldset div > * {
	display: inline-block;
	vertical-align: middle;
}

input {
	padding: 0.15em;
	width: 15em;
	border: 1px solid #ddd;
	background: #fafafa;
	font: bold 0.95em arial, sans-serif;
	-moz-border-radius: 0.4em;
	-khtml-border-radius: 0.4em;
}

input:hover, input:focus {
	border-color: #c5c5c5;
	background: #f6f6f6;
}

select {
	min-width: 4em;
}

option {
	padding-right: 1em;
}

button {
	border: 1px solid #888;
	border-radius: 4px;

	font-size: 12px;
	font-weight: bold;
	text-align: center;

	text-shadow: 1px 1px 0 rgba(255,255,255,.67);
	line-height: 2;
	padding: 0 1em;
	height: 2em;
	box-shadow:1px 1px 0 rgba(255,255,255,.5) inset, -1px -1px 0 rgba(255,255,255,.5) inset;
	background-color: rgb(179, 208, 230);

	-moz-user-select: none;
	-webkit-user-select: none;

	background-image: -moz-linear-gradient(
		top, rgba(255,255,255,.75),
		rgba(255,255,255,.33) 50%,
		transparent 50%,
		transparent 100%
	);

	background-image: -webkit-gradient(linear, 0% 0%, 0% 100%,
		from(rgba(255,255,255,.75)),
		color-stop(0.5, rgba(255,255,255,.33)),
		color-stop(0.5, transparent),
		to(transparent)
	);
}

#body > button {
	margin: 0.5em;
}

.radio_option div {
	float: left;
	white-space: nowrap;
	clear: none;
}

.radio_option div label, .radio_option div input {
	vertical-align: middle;
	display: inline;
	float: none;
	width: auto;
	background: none;
	border: none;
}

.select_option label {
	font-size: 1em;
}

/* navigation */

#globalnav {
	list-style-type: none;
	margin: 0;
	padding: 0;
	overflow: hidden;
	background-color: rgba(0,158,224,1);
	border-bottom: 1px solid #b7b7b7;
	box-shadow: 0 1px 1px rgba(0,0,0, 0.10);
}

#globalnav li {
	float: left;
}

#globalnav li a {
	display: inline-block;
	color: #f2f2f2;
	text-align: center;
	padding: 14px 16px;
	text-decoration: none;
	transition: 0.3s;
	font-size: 17px;
}

#globalnav li a:hover {
	background-color: #555;
}

#globalnav li.icon {
	display: none;
}

@media screen and (max-width:680px) {
	#globalnav li:not(:first-child) {
		display: none;
	}

	#globalnav li.icon {
		float: right;
		display: inline-block;
	}

	#globalnav.responsive {
		position: relative;
	}

	#globalnav.responsive li.icon {
		position: absolute;
		right: 0;
		top: 0;
	}

	#globalnav.responsive li {
		float: none;
		display: inline;
	}

	#globalnav.responsive li a {
		display: block;
		text-align: left;
	}
}

@media screen and (max-width: 600px) {
	fieldset div > label {
		width: auto;
		font-style: italic;
	}
	fieldset div > span {
		float: right;
	}
}

#footer img {
	width: 100%;
}
